/****************************************************
*	FILE: colorscheme.css							*
*													*
*	This css-file contains all definitions for:		*
*		- text colorscheme							*
*		- background colorscheme					*
*		- button colorscheme						*
*       - book series colorscheme					*
*													*
*   NOTE: Each series has its own color theme and	*
*   it is defined by global root 					*
*****************************************************/

/*-------------------------------
-- SECTION: MAIN COLOR SCHEMES --
---------------------------------*/

 :root {
	 /*--All Web Pages--*/
	 background-color: #808080;
	 color: #7D7D7D;
	 
	 /* EXAMPLE: background-color: var(--color-main, orange); */
	 
	 
	 /*--Main Page--*/
	 --color-main: #36454F;
	 
	 /*--Legacy of Magick--*/
	 --color-legacy: #685394;
	 
	 /*--Gypsy Chronicles--*/
	 --color-gypsy: #CCAA66;
	 
	 /*--Witches On The Hill--*/
	 --color-hill: #3F624C;
	 
	 /*--Daughters of Midnight--*/
	 --color-daughter: #1e5fd3;
	 
	  /*--Hemlock Hollow--*/
	 /*--color-hemlock: #981D20;*/
	 --color-hemlock: #0F5A6F;
	 
	 /*--Apothecary--*/
	 /*--color-apothecary: #981D20;*/
	 --color-apothecary: #611D50;
	 
	 /*--Audiobooks--*/
	 --color-audio: #035987;
	 
	 /*--Non-fiction Books--*/
	 --color-non-fiction: #874E30;
	 
	 /*--Tarot Page--*/
	 --color-tarot: #142376;
}

/*----------------------------------
--  SECTION: ID Page Identifiers  --
------------------------------------*/

/*-- Main Page --*/
#main {
	background: var(--color-main, orange);
	background-color: var(--color-main, orange);
}

#border-main {
	border: 3px solid var(--color-main, orange);
}

/*-- Legacy--*/
#legacy {
	background: var(--color-legacy, orange);
	background-color: var(--color-legacy, orange);
}

#border-legacy {
	border: 3px solid var(--color-legacy, orange);
}

/*-- Gypsy --*/
#gypsy {
	background: var(--color-gypsy, orange);
	background-color: var(--color-gypsy, orange);
}

#border-gypsy {
	border: 3px solid var(--color-gypsy, orange);
}

/*-- Witches On The Hill --*/
#hill {
	background: var(--color-hill, orange);
	background-color: var(--color-hill, orange);
}

#border-hill {
	border: 3px solid var(--color-hill, orange);
}


/*-- Daughter --*/
#daughter {
	background: var(--color-daughter, orange);
	background-color: var(--color-daughter, orange);
}

#border-daughter {
	border: 3px solid var(--color-daughter, orange);
}

/*-- Hemlock --*/
#hemlock {
	background: var(--color-hemlock, orange);
	background-color: var(--color-hemlock, orange);
}

#border-hemlock {
	border: 3px solid var(--color-hemlock, orange);
}

/*-- apothecary --*/
#apothecary {
	background: var(--color-apothecary, orange);
	background-color: var(--color-apothecary, orange);
}

#border-apothecary {
	border: 3px solid var(--color-apothecary, orange);
}

/*-- Non-Fiction --*/
#non-fiction {
	background: var(--color-non-fiction, orange);
	background-color: var(--color-non-fiction, orange);
}

#border-non-fiction {
	border: 3px solid var(--color-non-fiction, orange);
}

/*-- Tarot --*/
#tarot {
	background: var(--color-tarot, orange);
	background-color: var(--color-tarot, orange);
}

#border-tarot {
	border: 3px solid var(--color-tarot, orange);
}


/*------------------------
--  SECTION: MAIN BODY  --
--------------------------*/
/* --- Main Body --- */
.main_body {
    #color: #ffffff;
	#background-color: green;
}

/*-----------------------------
--  SECTION: MAIN CONTAINER  --
-------------------------------*/
/* --- Main Page --- */

/* --- Column 01: Information --- */
.div-column01 {
	background-color: #ffffff;
	#color: #7D7D7D;
}

/* --- Column 02: Solid Border --- */
.div-column02 {
		#background: var(--color-main, orange);
}

/*-------------------------------
-- SECTION: MENU AND NAVIGATION --
---------------------------------*/


/* --- Main Menu and Navigation Bar Block, Navigation Menu, Location and Social Media Bar --- */
.main-navbar, .navbar, .location, .sm-title {
	#background-color: #36454F;
}

.main-navbar {
	#border: 5px solid #000000;
}

/* --- Location and Social Media Bar --- */
.location p, .sm-title p {
	color: #ffffff;
}

.sm-button-main img {
	#background-color: #ffffff;
	border: 3px solid var(--color-main, orange);
}
.sm-button-legacy img {
	#background-color: #ffffff;
	border: 3px solid var(--color-legacy, orange);
}


.sm-button-main img:hover, 
.sm-button-main img:focus,
.sm-button-legacy img:hover, 
.sm-button-legacy img:focus {
	border: 3px solid #808080;
}

/* --- Navigator Button --- */
li {
	color: #ffffff;
	#background-color: #36454F;
	#border: 3px solid #36454F;
}

li a {
	color: #ffffff;
}

/* --- Navigator Button: Selected/Hover --- */
li:hover,
li:focus-within {
	background: #808080;
	#border: 3px solid #ffffff;	
}
/* --- Navigator Button: Drop-Down Menu List --- */
ul li ul {
	#background: #CCAA66;
}

ul li:hover > ul,
ul li:focus-within > ul,
ul li ul:hover,
ul li ul:focus {
	background-color: #36454F;
	#background #36454F;
}

ul li ul li {
	#background-color: #36454F;
	#background: #36454F;
}

/*-----------------------
-- SECTION: INDEX PAGE --
-------------------------*/
/* --- Ellen Dugan Image --- */
.image_ellen img {

}

.image_ellen img:hover,
.image_ellen img:focus {
	border: 5px solid var(--color-main, orange);
}

/* --- Latest Book Release --- */

.latest_release img {
	border: 5px solid #ffffff;
	#border-radius: 15px;
	background-color: #ffffff;
}

.latest_release img:hover, 
.latest_release img:focus {
	border: 5px solid var(--color-main, orange);
}

/* --- Amazon --- */
.amazon img {
	border: 5px solid #ffffff;
	#border-radius: 15px;
	background-color: #ffffff;
}

.amazon img:hover, 
.amazon img:focus {
	border: 5px solid var(--color-main, orange);
}


/*---------------------
--  SECTION: FOOTER  --
-----------------------*/
.footer {
	background-color: var(--color-main, orange);
}

.footer-text {
	color: #7D7D7D;
}

.footer img, 
.footer img:hover, 
.footer img:focus {
	border: 5px solid #ffffff;
	background-color: #ffffff;
}

.app-store img {
	border: 5px solid #ffffff;
	background-color: #ffffff;
}


.app-store img:hover, 
.app-store img:focus {
	border: 5px solid var(--color-main, orange);
}



/*---------------------------------
-- SECTION: FICTION BOOKS TEMPLATE --
-----------------------------------*/
.books-legacy img,
.books-gypsy img,
.books-daughter img,
.books-hemlock img,
.books-non-fiction img {
	border: 5px solid #ffffff;
}

.books-legacy img:hover,
.books-legacy img:focus {
	border: 5px solid var(--color-legacy, orange);
}

.books-legacy img:hover,
.books-legacy img:focus {
	border: 5px solid var(--color-legacy, orange);
}

.books-gypsy img:hover,
.books-gypsy img:focus {
	border: 5px solid var(--color-gypsy, orange);
}

.books-daughter img:hover,
.books-daughter img:focus {
	border: 5px solid var(--color-daughter, orange);
}

.books-hemlock img:hover,
.books-hemlock img:focus {
	border: 5px solid var(--color-hemlock, orange);
}

.books-apothecary img:hover,
.books-apothecary img:focus {
	border: 5px solid var(--color-apothecary, orange);
}

.books-non-fiction img:hover,
.books-non-fiction img:focus {
	border: 5px solid var(--color-non-fiction, orange);
}

/*------------------------------
-- SECTION: MODAL MAIN ENGINE --
--------------------------------*/


.modal-header h1,
.modal-header h2 {
	color: var(--color-legacy, orange);
}



/* ================ END OF CODE ================ */



/* --- Menu Container --- */
/*
#menu_container {
	background-color: yellow;
    #background: repeat-y;
    #background-image: url(images/static/contentbg2.gif);
}

/* --- Menu Navigator Container --- */
/*
#main_nav_container {
	background-color: #CCAA66;
	#border-radius: 8px;	
	
	/*Legacy of Magic Colors*/
	/*
	#background-color: #685394;
	
	/*Gypsy Chronicles Color AND Homepage */
	/*
	background-color: #CCAA66;
	
	/*Daughters of Midnight Color*/
	/*
	#background-color: #1e5fd3;
}

#main_nav_container a {
	text-decoration: none;
}

#main_nav_container a:link, a:visited, a:hover, a:active {
	color: #ffffff;
}








/*--- paragraph ------------------------------------------------------------*/
/*
.content {
    color: #7D7D7D;
}

.content table {
    color: #7D7D7D;
    border-color: #829482;
}

.content select {
    color: #7D7D7D;
}

.content input {
    color: #7D7D7D;
    border-color: #000000;
}

.content textarea {
    color: #7D7D7D;
    border-color: #000000;






/*-- main container --------------------------------------------------------*/



/*--- header ---------------------------------------------------------------*/
/*
#header {
    background: no-repeat bottom;
    #background-image: url(images/static/headerbg.gif);
}



/*--- key visiual ----------------------------------------------------------*/
/*
#key_visual {
    background: no-repeat;
}

/*--- logo -----------------------------------------------------------------*/
/*
#logo {
    background: no-repeat top right;
}

/*--- caption --------------------------------------------------------------*/
/*
#slogan {
    background-color: #5B815B;
}

/*--- main navigation ------------------------------------------------------*/

/*--- main navigation items ------------------------------------------------*/
/*
a.main_nav_item {
    background: no-repeat;
    background-position: top left;
}

a.main_nav_item:hover {
    background: no-repeat;
    background-position: top left;
}

a.main_nav_active_item {
    background: no-repeat;
    background-position: top left;
}

/*--- subnavigation items --------------------------------------------------*/
/*
.sub_nav_container {
    background-color: #B2C3B2;
}

a.sub_nav_item {
    background: no-repeat;
}

a.sub_nav_item:hover {
    background: no-repeat;
}

a.sub_nav_active_item {
    background: no-repeat;
}

/*--- footer ---------------------------------------------------------------*/
/*
#footer {
    background: transparent top left no-repeat;
    #background-image: url(images/static/footerbg.gif);
	#background-color: #CCAA66;
}


}

/*--- headings -------------------------------------------------------------*/

/*--- links ----------------------------------------------------------------*/

/*--- tables ---------------------------------------------------------------*/
/*
.content th {
    color: #ffffff;
    background-color: #829482;
    border-color: #829482;
}

.content tr.odd {
    color: #818181;
    background-color: #ffffff;
}

.content tr.even {
    color: #818181;
    background-color: #DDE6DD;
}

/*--- forms ----------------------------------------------------------------*/
/*
.content fieldset {
    border-color: #466446;
}

.content legend {
    color: #466446;
}

.content label {
    color: #466446;
}

.content #submit {
    background-color: #829482;
    border-color: #829482;
    color: #ffffff;
}

/*--------------------------------------------------------------------------*/
/*
#sub_nav_column {
    background: transparent bottom right no-repeat;
    #background-image: url(images/static/list.gif);
	background-color: #CCAA66;
}

#weblog_calendar caption {
    color: #ffffff;
}

